## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

# prevent library files from being installed
%define cargo_install_lib 0

Name:           noip-duc
Version:        3.3.0
Release:        %autorelease
Summary:        No-IP Dynamic Update Client (https://www.noip.com)

SourceLicense:  Apache-2.0
# FIXME: paste output of %%cargo_license_summary here
License:        # FIXME
# LICENSE.dependencies contains a full license breakdown

URL:            https://www.noip.com
Source0:        https://dmej8g5cpdyqd.cloudfront.net/downloads/noip-duc_3.3.0.tar.gz

Source1:        noip-duc.conf
Source2:        noip-duc.service

Patch0:         noip-duc-3.3.0-clap-version.patch
Patch1:         noip-duc-3.3.0-hickory.patch

BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  systemd-rpm-macros

Obsoletes:      noip < 2.1.20

%define _description %{expand:
No-IP Dynamic Update Client (https://www.noip.com).}

%description %{_description}

%prep
%autosetup -n noip-duc_%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
echo "\n=========== CARGO LICENSE SUMMARY ==============\n"
echo -n "License: "
%{cargo_license_summary}
echo "\n\n========= END LICENSE SUMMARY ================\n"
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

install -m 600 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m 644 -D -t %{buildroot}%{_unitdir}/ %{SOURCE2}

%if %{with check}
%check
%cargo_test
%endif

%pre
# Migrate settings from older client, if available
if [ -f /etc/no-ip2.conf ]; then
  /usr/bin/noip-duc --import >> /etc/sysconfig/noip-duc
fi

%files
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc INSTALL.md
%doc README.md
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_unitdir}/%{name}.service

%changelog
## START: Generated by rpmautospec
* Tue Apr 29 2025 FeRD (Frank Dana) <ferdnyc@gmail.com> - 3.3.0-2
- Add migration from older, obsoleted client config

* Fri Apr 25 2025 FeRD (Frank Dana) <ferdnyc@gmail.com> - 3.3.0-1
- Packaging noip client version 3
## END: Generated by rpmautospec
